EDIT - bug #7630

blocking registration relations get lost after saving adding a typedesignation to a newly created
"typification only" registration

08/06/2018 12:18 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

closely related to #7629

Related issues:

Related to EDIT - bug #7629: creating a typification only registration should... Closed
Related to EDIT - bug #7783: NamePopupEditor new buttons for genus and species Closed
Related to EDIT - bug #7842: TaxonNamePopEditor: adding new name as replaced ... Closed

Associated revisions

Revision 5055127f - 09/25/2018 09:55 AM - Andreas Kohlbecker

ref #7783, ref #7630 fixing creation of blocking relations (was broken since commit:f6d73035

Revision 510ac6e7 - 09/25/2018 09:57 AM - Andreas Kohlbecker

ref #7630 fixing creation of blocking relations (part 2) and assuring registrations have an identifier when saved

Revision 52df026¢ - 10/12/2018 06:49 PM - Andreas Kohlbecker

ref #7630 fixing creation of blocking relations - removing old problem causing restrictive code

Revision d02788a3 - 10/23/2018 11:15 AM - Andreas Kohlbecker

ref #7630 fixing creation of blocking registrations realted to new unsaved names

History

#1 - 08/06/2018 12:18 PM - Andreas Kohlbecker

- Related to bug #7629: creating a typification only registration should not be possible if the names protologue is in the current workingset added

#2 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#3 - 09/11/2018 05:05 PM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#4 - 09/25/2018 09:58 AM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

fixed, please review

#5 - 09/25/2018 10:00 AM - Andreas Kohlbecker
- Related to bug #7783: NamePopupEditor new buttons for genus and species added

#6 - 10/23/2018 12:01 PM - Andreas Kohlbecker

- Related to bug #7842: TaxonNamePopEditor: adding new name as replaced synonym to name with basionym causes NonUniqueObjectException
https://dev.e-taxonomy.eu/redmine/issues/7629

added

#7 - 10/23/2018 02:48 PM - Andreas Kohlbecker

this should be fully solved now

#8 - 10/23/2018 07:18 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

solved
